Saltar al contenido
CatálogoListas de precios

Listar listas de precios

Devuelve las listas de precios con alcance, reglas y precios; admite filtrar por productId.

Parámetros de consulta

productId?string

Identificador del producto.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/catalog/price-lists" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "id": "7204558912004321823",    "name": "Mayoristas",    "currency": "PEN",    "isActive": true,    "priority": 1,    "scope": "AllProducts",    "customerId": "7204558912004326262",    "productId": "7204558912004322039",    "productIds": [      "7204558912004322039"    ],    "categoryIds": [      "7204558912004327982"    ],    "tags": [      "algodón"    ],    "excludedProductIds": [      "7204558912004327925"    ],    "validFrom": "2026-09-28T15:30:00Z",    "validTo": "2026-09-28T15:30:00Z",    "items": [      {        "id": "7204558912004321823",        "variantId": "7204558912004323197",        "unitPrice": 89,        "compareAtPrice": 99,        "breaks": [          {            "minQuantity": 2,            "unitPrice": 89          }        ]      }    ],    "rules": [      {        "minQuantity": 2,        "maxQuantity": 2,        "discountType": "Mayoristas",        "value": 1      }    ]  }]